PHP Manual
Prev |  | Next

# property_exists

(PHP 5 >= 5.1.0RC1)

property_exists -- Checks if the object or class has a property

## Description

bool property_exists ( mixed class, string property )

This function checks if the given property exists in the specified class (and if it is accessible from the current scope).

> Note: As opposed with isset(), property_exists() returns `TRUE` even if the property has the value `NULL`.

## Parameters

class

  A string with the class name or an object of the class to test for

property

  The name of the property

## Return Values

Returns `TRUE` if the property exists, `FALSE` if it doesn't exist or `NULL` in case of an error.

## Examples

Example 1. A property_exists() example

`<?php class myClass { public $mine; private $xpto; static function test() { var_dump(property_exists('myClass', 'xpto')); // true, it can be accessed from here } } var_dump(property_exists('myClass', 'mine')); //true var_dump(property_exists(new myClass, 'mine')); //true var_dump(property_exists('myClass', 'xpto')); //false, isn't public myClass::test(); ?>`

## See Also

method_exists()

Prev | Home | Next
method_exists | Up | Classkit Functions